=== modified file 'databas.sql'
--- databas.sql	2013-04-22 09:13:33 +0000
+++ databas.sql	2013-04-22 12:12:37 +0000
@@ -12,9 +12,9 @@
 -- Table `lenasys`.`UserTypeCodes`
 -- -----------------------------------------------------
 CREATE  TABLE IF NOT EXISTS `lenasys`.`UserTypeCodes` (
-  `userTypeCode` INT NOT NULL ,
+  `userTypeCode` TINYINT(1) NOT NULL ,
   `userType` VARCHAR(10) NOT NULL ,
-  PRIMARY KEY (`userType`))
+  PRIMARY KEY (`userTypeCode`))
 ENGINE = InnoDB;
 -- -----------------------------------------------------
 -- Table `lenasys`.`Users`
@@ -138,6 +138,24 @@
 ENGINE = InnoDB;
 
 -- -----------------------------------------------------
+-- Table `lenasys`.`Categories`
+-- -----------------------------------------------------
+
+CREATE  TABLE IF NOT EXISTS `lenasys`.`Categories` (
+  `categoryName` VARCHAR(64) NOT NULL ,
+  `courseID` VARCHAR(10) NOT NULL ,
+  `orderNumber` INT NULL , -- the order of the examples in the same category 
+  PRIMARY KEY (`categoryName`, `courseID`) ,
+  INDEX `fk_Examples_Courses1_idx` (`courseID` ASC) ,
+  UNIQUE INDEX `categoryName_UNIQUE` (`categoryName` ASC) ,
+  CONSTRAINT `fk_Categories_Courses1`
+    FOREIGN KEY (`courseID` )
+    REFERENCES `lenasys`.`Courses` (`courseID` )
+    ON DELETE NO ACTION
+    ON UPDATE NO ACTION)
+ENGINE = InnoDB;
+
+-- -----------------------------------------------------
 -- Table `lenasys`.`Examples`
 -- -----------------------------------------------------
 CREATE  TABLE IF NOT EXISTS `lenasys`.`Examples` (
@@ -278,7 +296,7 @@
   `quizNr` INT NOT NULL ,
   `answers` VARCHAR(45) NULL ,
   `answerHash` VARCHAR(45) NULL ,
-  `answeredTimeStamp` DATETIME NULL  -- TIMESTAMP ??
+  `answeredTimeStamp` DATETIME NULL , -- TIMESTAMP ??
   `grade` VARCHAR(8) NULL ,
   `gradeComment` VARCHAR(200) NULL ,
   PRIMARY KEY (`id`) ,

